<div *ngIf="show"
     [class.full-screen]="isFullScreen"
     class="app-spinner-container w-100 d-flex align-items-center justify-content-center"
     >

  <mat-spinner [diameter]="diameter"></mat-spinner>

</div>
